# vim: set sw=4 ts=4 et:

Name:           streamtuner2
Version:        2.0.8
Release:        2.7
Summary:        GUI Interface for Internet Radio Directories
License:        Public Domain
Url:            http://sourceforge.net/projects/streamtuner2/
Group:          Productivity/Networking/Web/Browsers
# http://prdownloads.sourceforge.net/streamtuner2/streamtuner2-%{version}.src.tgz
Source:         streamtuner2-%{version}.src.tar.bz2
Patch1:         streamtuner2-fix_paths.patch
Patch2:         streamtuner2-fix_desktop.patch
Requires:       python-gtk python-lxml python-xdg python-pyquery yelp
# not needed but to make sure they're in the repository:
BuildRequires:  python-gtk python-lxml python-xdg python-pyquery yelp
%py_requires
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  update-desktop-files

%description
Streamtuner2 is an internet radio browser. It looks up the categorized music
stations from various directory services, like:

* SHOUTcast (works mostly)
* Xiph.org / icecast (basic function)
* live365 (standard)
* DMOZ/Google stations (ported from st1)

It is written in Python and therefore easy to extend. It mimics streamtuner1
in look and feel, but is an independent rewrite.

%prep
%setup -q -n "%{name}"
%patch1
%patch2

%build

%install
%__rm help/guiseq

%__install -D -m 755 st2.py %{buildroot}/%{_bindir}/%{name}
%__install -D -m 644 %{name}.desktop %{buildroot}/%{_datadir}/applications/%{name}.desktop
%__install -D -m 644 %{name}.png %{buildroot}/%{_datadir}/pixmaps/%{name}.png

%__mkdir %{buildroot}/%{_datadir}/%{name}
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png" -or -name "*.glade"`
for f in $files
    do %__install -m 644 $f %{buildroot}/%{_datadir}/%{name}/
done

%__mkdir %{buildroot}/%{_datadir}/%{name}/channels
pushd channels
files=`find . -maxdepth 1 -type f -name "*.py" -or -name "*.png"`
for f in $files
    do %__install -m 644 $f %{buildroot}/%{_datadir}/%{name}/channels/
done
popd

%__mkdir_p %{buildroot}/%{_docdir}/%{name}/help
#pushd help
#files=`find . -maxdepth 1 -type f -name "*.page"`
#for f in $files
#	do %__install -m 644 $f %{buildroot}/%{_docdir}/%{name}/help/
#done
#popd

%__cp -r help/* %{buildroot}/%{_docdir}/%{name}/help/
%__rm %{buildroot}/%{_docdir}/%{name}/help/streamtuner2.1

%__install -m 644 README %{buildroot}/%{_docdir}/%{name}/

%__mkdir_p %{buildroot}/%{_mandir}/man1
%__install -m 644 help/streamtuner2.1 %{buildroot}/%{_mandir}/man1/

%suse_update_desktop_file -r %{name} AudioVideo Tuner

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files
%defattr(-, root, root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/*.py
%{_datadir}/%{name}/*.png
%{_datadir}/%{name}/*.glade
%dir %{_datadir}/%{name}/channels
%{_datadir}/%{name}/channels/*.py
%{_datadir}/%{name}/channels/*.png
%dir %doc %{_docdir}/%{name}
%dir %doc %{_docdir}/%{name}/help
%doc %{_docdir}/%{name}/README
%doc %{_docdir}/%{name}/help/*
%doc %{_mandir}/man1/streamtuner2.1%{ext_man}

%changelog
* Sat Mar  5 2011 pascal.bleser@opensuse.org
- add a couple of patches to fix wrong paths and invalid .desktop file
- add python-pyquery to Requires, thanks to Hartmut for reporting
* Sun Sep  5 2010 detlef@links2linux.de
- new upstream version <2.0.8>
  * configuration files use prettified json
  * fixed double quotation for %%pls players and /local/file handling
  * (unused) channel .shutdown function introduced (late saving)
  * external plugin: basic file browser, no ID3 editing yet
  * allow interpolating of %%genre and other fields, streamripper wrapper
  * fixed pyQuery parsing for latest shoutcast change
    (strangely the regular expressions were still working)
* Sat Aug 14 2010 detlef@links2linux.de
- new upstream version <2.0.7>
  * json cache files are now stored .gz compressed
  * xiph channel .format() call fixed into .mime_fmt()
  * simplified __init__ and attributes of main window object
  * .play() is now a per-channel function
  * global_key now accepts multiple keys, updates gtk view
  * new musicgoal plugin with radios and podcasts
  * silenced channel initialization errors
  * double clicking tabs is functioning now (-> channel service homepage)
  * shoutcast finally became a real channel plugin
  * processing.py pseudo module removed
* Mon Jul 26 2010 detlef@links2linux.de
- new upstream version <2.0.5>
  * display logic now can extract homepage URLs from station titles
  * automated google search for missing station homepages
  * kept .m3u files are reused for playing (faster)
  * registration code for (stations) extension submenu
  * timer plugin for programming broadcast play/recordings, uses kronos
  * heuristic update of bookmarks when reloading station lists
  * general thread() wrapper function implemented, for worker pool
  * simple mygtk wrapper for adding menu entries
  * MyOggRadio plugin is now complete, can upload individual favourites
  * links plugin, which lists other radio directories in bookmarks tab
  * CLI mode implemented
  * two PHP wrapper scripts to generate YP.Shoutcast for Streamtuner1
  * GUI startup progress window added
  * one GtkWarning message fixed
  * the Shoutcast channel was plugin-ed out, but remains in the UI file
  * multiple additions to and restructuring of the help files, manpage
* Thu Jul 22 2010 detlef@links2linux.de
- new upstream version <2.0.4>
  * PyQuery parsing for InternetRadio.org.uk channel, and adapted PQ
    usage for shoutcast
  * utility function http.fix_url extended, common string parsing
    functions strip_tags, mime_fmt are now in channels.GenericChannel
  * http module reworked, visual feedback now for GET and AJAX methods,
    and CookieJar was enabled
  * channel/tab order can now be configured (instead of tab dragging)
  * fixed PyQuery wrapper module, packaged lxml modules in (evades
    extra support for Windows port, native modules will be used on Linux)
  * more Gtk.Widget mini help popups in the dialog windows
* Sun Jul 18 2010 pascal.bleser@opensuse.org
- update to 2.0.3:
  * new channel plugins for MyOggRadio and InternetRadio.org.uk
  * fixes the Live365 category parsing
  * adapts the regex parser for Shoutcast (the PyQuery parser was still functional, but homepage links are missing now)
  * the quick search box is now in the toolbar, as the new compound search has replaced it
  * category updates are now threaded too
  * disbanding of windows was fixed
  * Xiph and Live365 are now real channel plugins and can thus be disabled
  * a limited set of help files was added
* Wed Jul 14 2010 detlef@links2linux.de
- new upstream version <2.0.2>
  * more checks for initializing channel plugins
  * gtkrc theming support extended: apply and combobox in config dialog
  * PyQuery as new alternative parsing mechanism, as option for shoutcast
  * category tree gets loaded on first display of empty channels
  * windows port tested, new external project: python+gtk installer bundle
  * removal of .pyc bytecode files from generic .deb and .rpm packages
  * distribution includes gtkrc theme "MountainDew"
  * removed most debug print statements, introduced a config option for it
* Tue Jul  6 2010 detlef@links2linux.de
- new upstream version <2.0.0>
  * search function implemented, highlights results in current category list
  * right click context menu added
  * station data inspection/editor added
  * auto_save_appstate implemented
  * station delete implemented
  * clean up of internal application interfaces: new self.channel() instead
    of self.c[self.cc] kludges all around (all traces rm), and new self.row(),
    and some auxiliary windows now have handling code in separate classes
  * now real favicons for directory providers are displayed
  * removed directory service homepage button (still in menu), donated icon
    to stations instead; double-click on channel tab still resultless
  * load_favicon hook (for currently playing station) added
  * added channel switching to menu, and submenu view merged into edit
  * fixed initialisation of open channel tab (previously only default
    shoutcast was populated by .first_show method)
  * made a new logo for 2.0.0 release
  * fixed shoutcast category loading
* Wed Jun 30 2010 detlef@links2linux.de
- initial build for PackMan <1.9.9>
